import request from '@/utils/request';

export async function query(): Promise<any> {
  return request('/api/users');
}

export async function queryCurrent(): Promise<any> {
  return request('/api/currentUser');
}

export async function queryNotices(): Promise<any> {
  return request('/api/notices');
}

/**
 * @description 用户登录
 */
interface loginI {
  username: string;
  password: number | string;
}

export async function login(data: loginI): Promise<any> {
  return request('/forum/admin/user/login', { method: 'POST', data });
}

/**
 * @description 上传图片
 */
export async function uploadFile(data) {
  return request('/forum/file/uploadImage', {
    method: 'POST',
    data,
    headers: { 'Content-Type': ' multipart/form-data' },
  });
}
